OpenTTD Source: src/aircraft_cmd.h File Reference

OpenTTD Source 15.3

Functions
aircraft_cmd.h File Reference

Command definitions related to aircraft. More...

`#include "command_type.h"`
`#include "engine_type.h"`
`#include "vehicle_type.h"`

Go to the source code of this file.

## Functions
CommandCost | CmdBuildAircraft (DoCommandFlags flags, TileIndex tile, const Engine *e, Vehicle **v)
| Build an aircraft.

## Detailed Description

Command definitions related to aircraft.

Definition in file aircraft_cmd.h.

## Function Documentation

## ◆ CmdBuildAircraft()

CommandCost CmdBuildAircraft | ( | DoCommandFlags | flags,
|  | TileIndex | tile,
|  | const Engine * | e,
|  | Vehicle ** | ret
| ) |  |

Build an aircraft.

Parameters

  | flags | type of operation.
  | tile | tile of the depot where aircraft is built.
  | e | the engine to build.
  [out] | ret | the vehicle that has been built.

Returns
  the cost of this operation or an error.

Definition at line 269 of file aircraft_cmd.cpp.

References _current_company, Vehicle::acceleration, AIR_AIRCRAFT, AIR_CTOL, AIR_HELICOPTER, AIR_ROTOR, AIR_SHADOW, Vehicle::build_year, BuiltAsPrototype, CanVehicleUseStation(), Vehicle::cargo_cap, Vehicle::cargo_type, CMD_ERROR, TimerGameCalendar::date, TimerGameEconomy::date, Vehicle::date_of_last_service, Vehicle::date_of_last_service_newgrf, DefaultPalette, Engine::DetermineCapacity(), DIR_N, DIR_SE, Vehicle::direction, Vehicle::engine_type, ExclusivePreview, Execute, Engine::flags, Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem<&_company_pool >::Get(), BaseStation::GetByTile(), Engine::GetDefaultCargoType(), Engine::GetLifeLengthInDays(), GetSlopePixelZ(), GetStationIndex(), GetVehiclePosOnBuild(), HANGAR, Hidden, Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem< Tpool >::index, Vehicle::InvalidateNewGRFCacheOfChain(), IsValidCargoType(), Vehicle::last_loading_station, Vehicle::last_station_visited, AircraftVehicleInfo::mail_capacity, Vehicle::max_age, BaseConsist::name, Vehicle::owner, AircraftVehicleInfo::passenger_capacity, Aircraft::pos, Aircraft::previous_pos, Random, Vehicle::random_bits, Vehicle::refit_cap, Engine::reliability, Vehicle::reliability, Engine::reliability_spd_dec, Vehicle::reliability_spd_dec, ROTOR_Z_OFFSET, BaseBitSet< Timpl, Tvalue_type, Tstorage, Tmask >::Set(), VehicleSpriteSeq::Set(), Vehicle::SetNext(), settings, Shadow, Vehicle::sprite_cache, MutableSpriteCache::sprite_seq, Vehicle::spritenum, Aircraft::state, Stopped, AircraftVehicleInfo::subtype, Vehicle::subtype, Aircraft::targetairport, BaseBitSet< Timpl, Tvalue_type, Tstorage, Tmask >::Test(), Vehicle::tile, TILE_SIZE, TileX(), TileY(), Unclickable, UpdateAircraftCache(), Aircraft::UpdateDeltaXY(), Vehicle::UpdatePosition(), BaseConsist::vehicle_flags, Vehicle::vehstatus, Vehicle::x_pos, Vehicle::y_pos, TimerGameCalendar::year, and Vehicle::z_pos.

Referenced by CmdBuildVehicle().